@mixin make-vertical-align($s) {
    #{$s}valign-{
        &baseline {
            vertical-align: baseline;
        }
        &top {
            vertical-align: top;
        }
        &middle {
            vertical-align: middle;
        }
        &bottom {
            vertical-align: bottom;
        }
        &tx- {
            &t {
                vertical-align: text-top;
            }
            &b {
                vertical-align: text-bottom;
                
            }
        }
    }
}